%define topdir %(pwd)/rpmbuild
%define _topdir %{topdir} 
Name: glite-apel-yaim
Summary: glite-apel-yaim is the module that configures the glite 3.2 APEL publisher machine.
Version: 1.0.0
Vendor: EGEE
Release: 0
License: EGEE
Group: EGEE
Source: %{name}.src.tgz
BuildArch: noarch
Requires: glite-yaim-core
Prefix: /opt/glite
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: EGEE

%description
This package contains the yaim functions needed to configure the glite 3.2 APEL publisher machine.

%prep

%setup -c

%build
make install prefix=%{buildroot}%{prefix}

%files
%defattr(-,root,root)
%dir %{prefix}/usr/yaim/functions
%{prefix}/yaim/functions/config_apel    
%{prefix}/yaim/node-info.d/glite-apel
%{prefix}/yaim/defaults/glite-apel.pre
%{prefix}/yaim/man/yaim-apel.1
%{prefix}/yaim/etc/versions/%{name}
%config(noreplace) %{prefix}/yaim/node-info.d/glite*

%post
if [ ! -d /usr/share/man/man1 ]; then
	mkdir -p /usr/share/man/man1/
fi
ln -sf %{prefix}/yaim/man/yaim-apel.1 /usr/share/man/man1/yaim-apel.1


%clean
rm -rf %{buildroot}
